Package tigase.vhosts

## Class VHostItemExtensionManager

- java.lang.Object
- - tigase.vhosts.VHostItemExtensionManager

-     @Bean(name="extension-manager",
            parent=VHostManager.class,
            active=true,
            exportable=true)
      public class VHostItemExtensionManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VHostItemExtensionManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.stream.Stream<VHostItemExtension>` | `addMissingExtensions​(java.util.Collection<VHostItemExtension> extensions)` |
    `protected <T extends VHostItemExtension> T` | `newExtensionInstance​(VHostItemExtensionProvider<T> provider)` |
    `<T extends VHostItemExtension> T` | `newExtensionInstanceForClass​(java.lang.Class<T> extensionClass)` |
    `<T extends VHostItemExtension> java.util.stream.Stream<T>` | `newExtensionInstances()` |
    `<T extends VHostItemExtension> java.util.stream.Stream<T>` | `newExtensionInstances​(java.util.stream.Stream<VHostItemExtensionProvider> providerStream)` |
    `void` | `setProviders​(VHostItemExtensionProvider[] providers)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VHostItemExtensionManager

          public VHostItemExtensionManager()

  - ### Method Detail

    - #### setProviders

          public void setProviders​(VHostItemExtensionProvider[] providers)

    - #### newExtensionInstanceForClass

          public <T extends VHostItemExtension> T newExtensionInstanceForClass​(java.lang.Class<T> extensionClass)

    - #### newExtensionInstances

          public <T extends VHostItemExtension> java.util.stream.Stream<T> newExtensionInstances()

    - #### newExtensionInstances

          public <T extends VHostItemExtension> java.util.stream.Stream<T> newExtensionInstances​(java.util.stream.Stream<VHostItemExtensionProvider> providerStream)

    - #### newExtensionInstance

          protected <T extends VHostItemExtension> T newExtensionInstance​(VHostItemExtensionProvider<T> provider)

    - #### addMissingExtensions

          public java.util.stream.Stream<VHostItemExtension> addMissingExtensions​(java.util.Collection<VHostItemExtension> extensions)